# Clears the scoreboards, summons the marker for the light blocks to be placed on, and handles advancement progress.

# Wooden Tools
execute if score @s wooden_pickaxe_used matches 3.. run scoreboard players set @s wooden_pickaxe_used 0
execute if score @s wooden_axe_used matches 3.. run scoreboard players set @s wooden_axe_used 0
execute if score @s wooden_shovel_used matches 3.. run scoreboard players set @s wooden_shovel_used 0
execute if score @s wooden_hoe_used matches 3.. run scoreboard players set @s wooden_hoe_used 0
execute if score @s wooden_sword_used matches 2.. run scoreboard players set @s wooden_sword_used 0

# Stone Tools
execute if score @s stone_pickaxe_used matches 3.. run scoreboard players set @s stone_pickaxe_used 0
execute if score @s stone_axe_used matches 3.. run scoreboard players set @s stone_axe_used 0
execute if score @s stone_shovel_used matches 3.. run scoreboard players set @s stone_shovel_used 0
execute if score @s stone_hoe_used matches 3.. run scoreboard players set @s stone_hoe_used 0
execute if score @s stone_sword_used matches 2.. run scoreboard players set @s stone_sword_used 0

# Iron Tools
execute if score @s iron_pickaxe_used matches 3.. run scoreboard players set @s iron_pickaxe_used 0
execute if score @s iron_axe_used matches 3.. run scoreboard players set @s iron_axe_used 0
execute if score @s iron_shovel_used matches 3.. run scoreboard players set @s iron_shovel_used 0
execute if score @s iron_hoe_used matches 3.. run scoreboard players set @s iron_hoe_used 0
execute if score @s iron_sword_used matches 2.. run scoreboard players set @s iron_sword_used 0

# Golden Tools
execute if score @s golden_pickaxe_used matches 4.. run scoreboard players set @s golden_pickaxe_used 0
execute if score @s golden_axe_used matches 3.. run scoreboard players set @s golden_axe_used 0
execute if score @s golden_shovel_used matches 4.. run scoreboard players set @s golden_shovel_used 0
execute if score @s golden_hoe_used matches 3.. run scoreboard players set @s golden_hoe_used 0
execute if score @s golden_sword_used matches 2.. run scoreboard players set @s golden_sword_used 0

# Diamond Tools
execute if score @s diamond_pickaxe_used matches 4.. run scoreboard players set @s diamond_pickaxe_used 0
execute if score @s diamond_axe_used matches 3.. run scoreboard players set @s diamond_axe_used 0
execute if score @s diamond_shovel_used matches 4.. run scoreboard players set @s diamond_shovel_used 0
execute if score @s diamond_hoe_used matches 3.. run scoreboard players set @s diamond_hoe_used 0
execute if score @s diamond_sword_used matches 2.. run scoreboard players set @s diamond_sword_used 0

# Netherite Tools
execute if score @s netherite_pickaxe_used matches 4.. run scoreboard players set @s netherite_pickaxe_used 0
execute if score @s netherite_axe_used matches 3.. run scoreboard players set @s netherite_axe_used 0
execute if score @s netherite_shovel_used matches 4.. run scoreboard players set @s netherite_shovel_used 0
execute if score @s netherite_hoe_used matches 3.. run scoreboard players set @s netherite_hoe_used 0
execute if score @s netherite_sword_used matches 2.. run scoreboard players set @s netherite_sword_used 0

#Misc. Tools
execute if score @s bow_used matches 1.. run scoreboard players set @s bow_used 0
execute if score @s crossbow_used matches 1.. run scoreboard players set @s crossbow_used 0
execute if score @s mace_used matches 1.. run scoreboard players set @s mace_used 0
execute if score @s trident_used matches 2.. run scoreboard players set @s trident_used 0
execute if score @s shears_used matches 3.. run scoreboard players set @s shears_used 0
execute if score @s brush_used matches 1.. run scoreboard players set @s brush_used 0
execute if score @s flint_and_steel_used matches 2.. run scoreboard players set @s flint_and_steel_used 0
execute if score @s shield_used matches 2.. run scoreboard players set @s shield_used 0
execute if score @s fishing_rod_used matches 1.. run scoreboard players set @s fishing_rod_used 0

#Summons particles and light.

summon marker ~ ~ ~ {Tags:["starlight_marker"]}
execute as @n[tag=starlight_marker] run function machantment:starlight/initiate/burst

execute if score @s purity matches ..100 run scoreboard players add @s purity 1
execute if score @s purity matches 100.. run advancement grant @s only machantment:zero_percent_corrupt